Skip to main content
`Ctrl`+`K`

# pandas.api.types.is_file_like

pandas.api.types.is_file_like(obj)

  Check if the object is a file-like object.

  For objects to be considered file-like, they must be an iterator AND have either a read and/or write method as an attribute.

  Note: file-like objects must be iterable, but iterable objects need not be file-like.

  Parameters:
    obj The object to check
  Returns:
    bool

      Whether obj has file-like properties.

  Examples

      >>> import io
      >>> from pandas.api.types import is_file_like
      >>> buffer = io.StringIO("data")
      >>> is_file_like(buffer)
      True
      >>> is_file_like([1, 2, 3])
      False